Package org.jboss.resteasy.api.validation

## Class SimpleViolationsContainer

- java.lang.Object
- - org.jboss.resteasy.api.validation.SimpleViolationsContainer

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `SimpleViolationsContainer`

      public class SimpleViolationsContainer
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleViolationsContainer​(Object target)` |
    `SimpleViolationsContainer​(Set<javax.validation.ConstraintViolation<Object>> cvs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addViolations​(Set<javax.validation.ConstraintViolation<Object>> cvs)` |
    `Exception` | `getException()` |
    `Object` | `getTarget()` |
    `Set<javax.validation.ConstraintViolation<Object>>` | `getViolations()` |
    `boolean` | `isFieldsValidated()` |
    `void` | `setException​(Exception exception)` |
    `void` | `setFieldsValidated​(boolean fieldsValidated)` |
    `void` | `setTarget​(Object target)` |
    `int` | `size()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleViolationsContainer

          public SimpleViolationsContainer​(Object target)

    - #### SimpleViolationsContainer

          public SimpleViolationsContainer​(Set<javax.validation.ConstraintViolation<Object>> cvs)

  - ### Method Detail

    - #### addViolations

          public void addViolations​(Set<javax.validation.ConstraintViolation<Object>> cvs)

    - #### size

          public int size()

    - #### getException

          public Exception getException()

    - #### setException

          public void setException​(Exception exception)

    - #### getTarget

          public Object getTarget()

    - #### setTarget

          public void setTarget​(Object target)

    - #### getViolations

          public Set<javax.validation.ConstraintViolation<Object>> getViolations()

    - #### isFieldsValidated

          public boolean isFieldsValidated()

    - #### setFieldsValidated

          public void setFieldsValidated​(boolean fieldsValidated)